OpenTTD Source: Data Fields - Variables

OpenTTD Source 15.0-beta1

Here is a list of all documented variables with links to the struct/union documentation for each field:

### - n -

- name : Action5Type, AirportSpec, AirportTileSpec, BaseConsist, BaseNetworkContentDownloadStatusWindow, BaseSet< T, Tnum_files, Tsearch_in_tars >, BaseSetTextfileWindow, BaseStation, BlitterFactory, CargoSpec, CommandInfo, CompanyProperties, ContentInfo, DriverFactoryBase, Engine, ExternalTownData, FileToSaveLoad, GRFConfig, GRFParameterInfo, Group, HighScore, IConsoleAlias, IConsoleCmd, IndustrySpec, IniGroup, IniItem, KeycodeNames, LangString, LanguagePackHeader, LoggedChangeSettingChanged, NamedGRFIdentifier, NewGRFClass< Tspec, Tindex, Tmax >, NewsTypeData, NICallback, NIProperty, ObjectSpec, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >, RailTypeInfo, RoadStopSpec, RoadTypeInfo, SaveLoad, SaveLoadCompat, SaveLoadFormat, ScriptConfig, ScriptConfigItem, ScriptInfo, SettingEntry, SocialIntegrationPlugin, StationSpec, Town, TownNameStyle, UDPSocket
- name_1 : CompanyProperties
- name_2 : CompanyProperties
- name_editbox : NetworkGameWindow, NetworkStartServerWindow
- name_single : CargoSpec
- name_to_string : StringData
- names : PluralForm
- need_length : SaveLoadParams
- needed : ScoreInfo
- nested_focus : Window
- nested_root : Window
- network : ClientSettings
- network_chat_box_height : GUISettings
- network_chat_box_width_pct : GUISettings
- network_chat_timeout : GUISettings
- neutral_station : Industry
- never_expire_airports : StationSettings
- never_expire_vehicles : VehicleSettings
- new_act : TransportedCargoStat< Tstorage >
- new_engine : RoadTypeInfo
- new_industry_text : IndustrySpec
- new_loco : RailTypeInfo
- new_max : TransportedCargoStat< Tstorage >
- new_node : NodeList< Titem, Thash_bits_open, Thash_bits_closed >
- new_nonstop : GUISettings
- new_outersize : TileHighlightData
- new_pos : TileHighlightData
- new_size : TileHighlightData
- new_td_bits : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- new_tile : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >, GetNewVehiclePosResult
- new_veh : ReplaceChainItem
- new_vehicles : NewsSettings
- new_year : SoundSettings
- newgrf : LoggedChangeRevision
- newgrf_default_palette : GUISettings
- newgrf_developer_tools : GUISettings
- newgrf_id : LanguageMap::Mapping
- newgrf_lookup_table : ClientNetworkCoordinatorSocketHandler
- newgrf_lookup_table_cursor : ClientNetworkCoordinatorSocketHandler
- newgrf_show_old_versions : GUISettings
- newgrflangid : LanguagePackHeader
- news_display : ClientSettings
- news_full : SoundSettings
- news_message_timeout : GUISettings
- news_ticker : SoundSettings
- newval : LoggedChangeSettingChanged
- next : AirportFTA, AirportFTAbuildup, BaseSet< T, Tnum_files, Tsearch_in_tars >, ChildScreenSpriteToDraw, GRFConfig, NetworkGameList, Order, Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::AllocCache, RoadStop, SmallStackItem< Titem, Tindex >, Vehicle
- next_cargo : StationViewWindow::RowDisplay
- next_drawstyle : TileHighlightData
- next_hop : CargoPacket, ReturnCargoAction
- next_index : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- next_position : AirportFTA
- next_shared : Vehicle
- next_station : FinalizeRefitAction, StationViewWindow::RowDisplay
- next_string_id : StringData
- next_type : StringParameters
- next_update : ClientNetworkCoordinatorSocketHandler, GRFFileScanner
- nfo_line : GrfProcessingState
- ni : NewsWindow
- NO_FREE_ITEM : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- no_jetcrash : Cheats
- no_servicing_if_no_breakdowns : OrderSettings
- node : GoodsEntry, Path
- nodes : CYapfBaseT< Types >, Kdtree< T, TxyFunc, CoordT, DistT >, LinkGraph, LinkGraphJob
- nofelements : AirportFTAClass
- noise_level : AirportSpec
- noise_reached : Town
- normal_height : CargoesField
- north_tile : SearchNearbyHouseData
- not_yet_constructed : HouseScopeResolver
- null_length : SaveLoadCompat
- null_type : SaveLoadCompat
- num : TrainCollideChecker
- num_available : MusicSet
- num_bit : GRFParameterInfo
- num_cargoes : CargoesField
- num_cases : LanguagePackHeader
- num_children : CargoDataEntry, Path
- num_columns : DepotWindow
- NUM_COLUMNS : StationViewWindow
- num_engines : GroupStatistics
- NUM_FILES : BaseSet< T, Tnum_files, Tsearch_in_tars >
- num_genders : LanguagePackHeader
- num_helipads : AirportFTAClass
- num_houses : TownCache
- num_input : IndustryProductionSpriteGroup
- num_manual_orders : OrderList
- num_orders : OrderList
- num_output : IndustryProductionSpriteGroup
- num_scanned : GRFFileScanner
- num_sprites : GrfProcessingState::SpriteSet
- num_station : NetworkCompanyStats
- num_steps : CYapfBaseT< Types >
- num_valid : anonymous_namespace{framerate_gui.cpp}::PerformanceData
- num_valid_params : GRFConfig
- num_valid_stat_ent : CompanyProperties
- num_vehicle : GroupStatistics, NetworkCompanyStats
- num_vehicle_min_age : GroupStatistics
- num_vehicles : OrderList, RefitWindow
- num_visible_lines : AboutWindow
- number : Group
- number_consecutive_turns : Aircraft
- number_dim : SelectCompanyManagerFaceWindow
- number_towns : DifficultySettings
- nwid_parts : WindowDesc